slepc-3.21.1 2024-04-26
Report Typos and Errors

# STView

Prints the ST data structure.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STView(ST st,PetscViewer viewer)

Collective

### Input Parameters

| st | - the ST context
| viewer | - optional visualization context

### Note

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization contexts with PetscViewerASCIIOpen() (output to a specified file).

### See Also

EPSView()

### Level

beginner

### Location

src/sys/classes/st/interface/stfunc.c

### Examples

src/eps/tutorials/ex10.c
src/eps/tutorials/ex10f.F90
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages